XkbAllocGeomShapes(__libmansuffix__)

NAME
XkbAllocGeomShapes - Allocate space for an arbitrary number of geometry shapes

SYNOPSIS

Status XkbAllocGeomShapes (XkbGeometryPtr geom, int num_needed);

ARGUMENTS

- geom
    geometry for which shapes should be allocated

- num_needed
    number of new shapes required

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected. XkbAllocGeomShapes allocates space for num_needed shapes in the specified geometry geom. The shapes are not initialized. To free geometry shapes, use XkbFreeGeomShapes.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range

SEE ALSO
XkbFreeGeomShapes(__libmansuffix__)